package com.ruoyi.applet.contoller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.model.domain.AppBanner;
import com.ruoyi.model.service.IAppBannerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api("轮播图")
@RestController
@RequestMapping("/applet/banner")
public class AppletBannerController {
    //1.查询轮播图接口
    @Autowired
    private IAppBannerService iAppBannerService;


    @ApiOperation("轮播图列表")
    @GetMapping("/list")
    public List<AppBanner> list(){
        return iAppBannerService.getBannerList();
    }
}
