package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 喂养要求配置对象 feeding_requirements
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class FeedingRequirements extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 喂养要求编号 */
    private Long feedingRequirementsId;

    /** 喂养要求标题 */
    @Excel(name = "喂养要求标题")
    private String feedingRequirementsTitle;

    /** 喂养要求 */
    @Excel(name = "喂养要求")
    private String feedingRequirementsText;

    /** 喂养要求天 */
    @Excel(name = "喂养要求天")
    private Long feedingRequirementsDay;

    /** 喂养要求次 */
    @Excel(name = "喂养要求次")
    private Long feedingRequirementsTimes;

    public void setFeedingRequirementsId(Long feedingRequirementsId) 
    {
        this.feedingRequirementsId = feedingRequirementsId;
    }

    public Long getFeedingRequirementsId() 
    {
        return feedingRequirementsId;
    }
    public void setFeedingRequirementsTitle(String feedingRequirementsTitle) 
    {
        this.feedingRequirementsTitle = feedingRequirementsTitle;
    }

    public String getFeedingRequirementsTitle() 
    {
        return feedingRequirementsTitle;
    }
    public void setFeedingRequirementsText(String feedingRequirementsText) 
    {
        this.feedingRequirementsText = feedingRequirementsText;
    }

    public String getFeedingRequirementsText() 
    {
        return feedingRequirementsText;
    }
    public void setFeedingRequirementsDay(Long feedingRequirementsDay) 
    {
        this.feedingRequirementsDay = feedingRequirementsDay;
    }

    public Long getFeedingRequirementsDay() 
    {
        return feedingRequirementsDay;
    }
    public void setFeedingRequirementsTimes(Long feedingRequirementsTimes) 
    {
        this.feedingRequirementsTimes = feedingRequirementsTimes;
    }

    public Long getFeedingRequirementsTimes() 
    {
        return feedingRequirementsTimes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("feedingRequirementsId", getFeedingRequirementsId())
            .append("feedingRequirementsTitle", getFeedingRequirementsTitle())
            .append("feedingRequirementsText", getFeedingRequirementsText())
            .append("feedingRequirementsDay", getFeedingRequirementsDay())
            .append("feedingRequirementsTimes", getFeedingRequirementsTimes())
            .toString();
    }
}
