package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 邀请海报配置对象 invite
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class Invite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 海报 */
    @Excel(name = "海报")
    private String inviteImage;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setInviteImage(String inviteImage) 
    {
        this.inviteImage = inviteImage;
    }

    public String getInviteImage() 
    {
        return inviteImage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("inviteImage", getInviteImage())
            .toString();
    }
}
