package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 证件提示配置对象 paper_prompt_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class PaperPromptConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 宠物类型 */
    @Excel(name = "宠物类型")
    private String paperPromptType;

    /** 证件提示文本 */
    @Excel(name = "证件提示文本")
    private String paperPromptText;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPaperPromptType(String paperPromptType) 
    {
        this.paperPromptType = paperPromptType;
    }

    public String getPaperPromptType() 
    {
        return paperPromptType;
    }
    public void setPaperPromptText(String paperPromptText) 
    {
        this.paperPromptText = paperPromptText;
    }

    public String getPaperPromptText() 
    {
        return paperPromptText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("paperPromptType", getPaperPromptType())
            .append("paperPromptText", getPaperPromptText())
            .toString();
    }
}
