package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 宠物性格快捷选择配置对象 pet_personality_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class PetPersonalityConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 宠物性格快捷选择文本 */
    @Excel(name = "宠物性格快捷选择文本")
    private String petPersonalityText;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPetPersonalityText(String petPersonalityText) 
    {
        this.petPersonalityText = petPersonalityText;
    }

    public String getPetPersonalityText() 
    {
        return petPersonalityText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("petPersonalityText", getPetPersonalityText())
            .toString();
    }
}
