package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 宠物档案配置对象 pet_profile_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class PetProfileConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 宠物档案提示文本 */
    @Excel(name = "宠物档案提示文本")
    private String petProfileText;

    /** 宠物档案图标 */
    @Excel(name = "宠物档案图标")
    private String petProfileIcon;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPetProfileText(String petProfileText) 
    {
        this.petProfileText = petProfileText;
    }

    public String getPetProfileText() 
    {
        return petProfileText;
    }
    public void setPetProfileIcon(String petProfileIcon) 
    {
        this.petProfileIcon = petProfileIcon;
    }

    public String getPetProfileIcon() 
    {
        return petProfileIcon;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("petProfileText", getPetProfileText())
            .append("petProfileIcon", getPetProfileIcon())
            .toString();
    }
}
