package com.ruoyi.catdog.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 打卡对象 pet_teachar_check
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class PetTeacharCheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 打卡编号 */
    private Long checkId;

    /** 伴宠师编号 */
    @Excel(name = "伴宠师编号")
    private Long petTeacherId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private Long orderId;

    /** 打卡时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "打卡时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /** 其他服务信息 */
    @Excel(name = "其他服务信息")
    private String checkInfo;

    public void setCheckId(Long checkId) 
    {
        this.checkId = checkId;
    }

    public Long getCheckId() 
    {
        return checkId;
    }
    public void setPetTeacherId(Long petTeacherId) 
    {
        this.petTeacherId = petTeacherId;
    }

    public Long getPetTeacherId() 
    {
        return petTeacherId;
    }
    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setCheckTime(Date checkTime) 
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime() 
    {
        return checkTime;
    }
    public void setCheckInfo(String checkInfo) 
    {
        this.checkInfo = checkInfo;
    }

    public String getCheckInfo() 
    {
        return checkInfo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkId", getCheckId())
            .append("petTeacherId", getPetTeacherId())
            .append("orderId", getOrderId())
            .append("checkTime", getCheckTime())
            .append("checkInfo", getCheckInfo())
            .toString();
    }
}
