package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 附加服务对象 additional_services
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class AdditionalServices extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附加服务编号 */
    private Long additionalServicesId;

    /** 附加服务类型编号 */
    @Excel(name = "附加服务类型编号")
    private Long additionalServicesTypeId;

    /** 服务档案编号 */
    @Excel(name = "服务档案编号")
    private Long serviceFileId;

    /** 摆放位置 */
    @Excel(name = "摆放位置")
    private String suppliesPlacement;

    public void setAdditionalServicesId(Long additionalServicesId) 
    {
        this.additionalServicesId = additionalServicesId;
    }

    public Long getAdditionalServicesId() 
    {
        return additionalServicesId;
    }
    public void setAdditionalServicesTypeId(Long additionalServicesTypeId) 
    {
        this.additionalServicesTypeId = additionalServicesTypeId;
    }

    public Long getAdditionalServicesTypeId() 
    {
        return additionalServicesTypeId;
    }
    public void setServiceFileId(Long serviceFileId) 
    {
        this.serviceFileId = serviceFileId;
    }

    public Long getServiceFileId() 
    {
        return serviceFileId;
    }
    public void setSuppliesPlacement(String suppliesPlacement) 
    {
        this.suppliesPlacement = suppliesPlacement;
    }

    public String getSuppliesPlacement() 
    {
        return suppliesPlacement;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("additionalServicesId", getAdditionalServicesId())
            .append("additionalServicesTypeId", getAdditionalServicesTypeId())
            .append("serviceFileId", getServiceFileId())
            .append("suppliesPlacement", getSuppliesPlacement())
            .append("remark", getRemark())
            .toString();
    }
}
