package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 地址管理对象 address
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class Addresss extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 地址编号 */
    private Long addressId;

    /** 接单坐标 */
    @Excel(name = "接单坐标")
    private String addressCoordinate;

    /** 接单地址 */
    @Excel(name = "接单地址")
    private String addressOrder;

    /** 范围 */
    @Excel(name = "范围")
    private Long addressRange;

    /** 0为开启接单，1为关闭接单 */
    @Excel(name = "0为开启接单，1为关闭接单")
    private Integer addressState;

    /** 删除标识 */
    private Integer delFlag;

    /** 伴宠师编号 */
    @Excel(name = "伴宠师编号")
    private Long userId;

    public void setAddressId(Long addressId) 
    {
        this.addressId = addressId;
    }

    public Long getAddressId() 
    {
        return addressId;
    }
    public void setAddressCoordinate(String addressCoordinate) 
    {
        this.addressCoordinate = addressCoordinate;
    }

    public String getAddressCoordinate() 
    {
        return addressCoordinate;
    }
    public void setAddressOrder(String addressOrder) 
    {
        this.addressOrder = addressOrder;
    }

    public String getAddressOrder() 
    {
        return addressOrder;
    }
    public void setAddressRange(Long addressRange) 
    {
        this.addressRange = addressRange;
    }

    public Long getAddressRange() 
    {
        return addressRange;
    }
    public void setAddressState(Integer addressState) 
    {
        this.addressState = addressState;
    }

    public Integer getAddressState() 
    {
        return addressState;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("addressId", getAddressId())
            .append("addressCoordinate", getAddressCoordinate())
            .append("addressOrder", getAddressOrder())
            .append("addressRange", getAddressRange())
            .append("addressState", getAddressState())
            .append("delFlag", getDelFlag())
            .append("userId", getUserId())
            .toString();
    }
}
