package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基础服务对象 basic_services
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class BasicServices extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 基础服务编号 */
    private Long basicServicesId;

    /** 基础服务类型 */
    @Excel(name = "基础服务类型")
    private String basicServicesType;

    public void setBasicServicesId(Long basicServicesId) 
    {
        this.basicServicesId = basicServicesId;
    }

    public Long getBasicServicesId() 
    {
        return basicServicesId;
    }
    public void setBasicServicesType(String basicServicesType) 
    {
        this.basicServicesType = basicServicesType;
    }

    public String getBasicServicesType() 
    {
        return basicServicesType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("basicServicesId", getBasicServicesId())
            .append("basicServicesType", getBasicServicesType())
            .toString();
    }
}
