package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 执照连接伴宠师认证对象 certification_join_license
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class CertificationJoinLicense extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 执照编号 */
    private Long licenseId;

    /** 伴宠师认证编号 */
    private Long certificationId;

    public void setLicenseId(Long licenseId) 
    {
        this.licenseId = licenseId;
    }

    public Long getLicenseId() 
    {
        return licenseId;
    }
    public void setCertificationId(Long certificationId) 
    {
        this.certificationId = certificationId;
    }

    public Long getCertificationId() 
    {
        return certificationId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("licenseId", getLicenseId())
            .append("certificationId", getCertificationId())
            .toString();
    }
}
