package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台协议配置对象 platform_agreement_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class PlatformAgreementConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 平台协议 */
    @Excel(name = "平台协议")
    private String platformAgreementText;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPlatformAgreementText(String platformAgreementText) 
    {
        this.platformAgreementText = platformAgreementText;
    }

    public String getPlatformAgreementText() 
    {
        return platformAgreementText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("platformAgreementText", getPlatformAgreementText())
            .toString();
    }
}
