package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务记录配置（不存在服务记录时出现）对象 service_record_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class ServiceRecordConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 服务记录图标 */
    @Excel(name = "服务记录图标")
    private String serviceRecordIcon;

    /** 服务记录文本 */
    @Excel(name = "服务记录文本")
    private String serviceRecordText;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setServiceRecordIcon(String serviceRecordIcon) 
    {
        this.serviceRecordIcon = serviceRecordIcon;
    }

    public String getServiceRecordIcon() 
    {
        return serviceRecordIcon;
    }
    public void setServiceRecordText(String serviceRecordText) 
    {
        this.serviceRecordText = serviceRecordText;
    }

    public String getServiceRecordText() 
    {
        return serviceRecordText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("serviceRecordIcon", getServiceRecordIcon())
            .append("serviceRecordText", getServiceRecordText())
            .toString();
    }
}
