package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务上传配置对象 service_upload_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class ServiceUploadConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 服务上传提示文本 */
    @Excel(name = "服务上传提示文本")
    private String serviceUploadText;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setServiceUploadText(String serviceUploadText) 
    {
        this.serviceUploadText = serviceUploadText;
    }

    public String getServiceUploadText() 
    {
        return serviceUploadText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("serviceUploadText", getServiceUploadText())
            .toString();
    }
}
