package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工具对象 tool
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class Tool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工具编号 */
    private Long toolId;

    /** 删除标识 */
    private Integer delFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    /** 工具 */
    @Excel(name = "工具")
    private String toolName;

    public void setToolId(Long toolId) 
    {
        this.toolId = toolId;
    }

    public Long getToolId() 
    {
        return toolId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }
    public void setToolName(String toolName) 
    {
        this.toolName = toolName;
    }

    public String getToolName() 
    {
        return toolName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("toolId", getToolId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("reamk", getReamk())
            .append("toolName", getToolName())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
