package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ServiceRecordConfig;

/**
 * 服务记录配置（不存在服务记录时出现）Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface ServiceRecordConfigMapper 
{
    /**
     * 查询服务记录配置（不存在服务记录时出现）
     * 
     * @param id 服务记录配置（不存在服务记录时出现）主键
     * @return 服务记录配置（不存在服务记录时出现）
     */
    public ServiceRecordConfig selectServiceRecordConfigById(Long id);

    /**
     * 查询服务记录配置（不存在服务记录时出现）列表
     * 
     * @param serviceRecordConfig 服务记录配置（不存在服务记录时出现）
     * @return 服务记录配置（不存在服务记录时出现）集合
     */
    public List<ServiceRecordConfig> selectServiceRecordConfigList(ServiceRecordConfig serviceRecordConfig);

    /**
     * 新增服务记录配置（不存在服务记录时出现）
     * 
     * @param serviceRecordConfig 服务记录配置（不存在服务记录时出现）
     * @return 结果
     */
    public int insertServiceRecordConfig(ServiceRecordConfig serviceRecordConfig);

    /**
     * 修改服务记录配置（不存在服务记录时出现）
     * 
     * @param serviceRecordConfig 服务记录配置（不存在服务记录时出现）
     * @return 结果
     */
    public int updateServiceRecordConfig(ServiceRecordConfig serviceRecordConfig);

    /**
     * 删除服务记录配置（不存在服务记录时出现）
     * 
     * @param id 服务记录配置（不存在服务记录时出现）主键
     * @return 结果
     */
    public int deleteServiceRecordConfigById(Long id);

    /**
     * 批量删除服务记录配置（不存在服务记录时出现）
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteServiceRecordConfigByIds(Long[] ids);
}
