package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.WalkDog;

/**
 * 遛狗要求Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface WalkDogMapper 
{
    /**
     * 查询遛狗要求
     * 
     * @param walkDogId 遛狗要求主键
     * @return 遛狗要求
     */
    public WalkDog selectWalkDogByWalkDogId(Long walkDogId);

    /**
     * 查询遛狗要求列表
     * 
     * @param walkDog 遛狗要求
     * @return 遛狗要求集合
     */
    public List<WalkDog> selectWalkDogList(WalkDog walkDog);

    /**
     * 新增遛狗要求
     * 
     * @param walkDog 遛狗要求
     * @return 结果
     */
    public int insertWalkDog(WalkDog walkDog);

    /**
     * 修改遛狗要求
     * 
     * @param walkDog 遛狗要求
     * @return 结果
     */
    public int updateWalkDog(WalkDog walkDog);

    /**
     * 删除遛狗要求
     * 
     * @param walkDogId 遛狗要求主键
     * @return 结果
     */
    public int deleteWalkDogByWalkDogId(Long walkDogId);

    /**
     * 批量删除遛狗要求
     * 
     * @param walkDogIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWalkDogByWalkDogIds(Long[] walkDogIds);
}
