package com.ruoyi.applet.service.impl;

import com.ruoyi.applet.service.IAppletBannerService;
import com.ruoyi.model.domain.AppBanner;
import com.ruoyi.model.service.IAppBannerService;
import com.ruoyi.system.service.IBasicServicesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AppletBannerServiceImpl implements IAppletBannerService {
    @Autowired
    private IAppBannerService iAppBannerService;

    @Override
    public ResponseEntity getBannerList() {
        List<AppBanner> bannerList = iAppBannerService.getBannerList();
        return ResponseEntity.ok(bannerList);
    }
}
