package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据描述配置对象 descriptives_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class DescriptivesConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 文本优先级 */
    @Excel(name = "文本优先级")
    private Long descriptivesPriority;

    /** 数据描述文本 */
    @Excel(name = "数据描述文本")
    private String descriptivesText;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDescriptivesPriority(Long descriptivesPriority) 
    {
        this.descriptivesPriority = descriptivesPriority;
    }

    public Long getDescriptivesPriority() 
    {
        return descriptivesPriority;
    }
    public void setDescriptivesText(String descriptivesText) 
    {
        this.descriptivesText = descriptivesText;
    }

    public String getDescriptivesText() 
    {
        return descriptivesText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("descriptivesPriority", getDescriptivesPriority())
            .append("descriptivesText", getDescriptivesText())
            .toString();
    }
}
