package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 首页登录配置对象 index_page_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class IndexPageConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 背景图 */
    @Excel(name = "背景图")
    private String indexBackground;

    /** logo */
    @Excel(name = "logo")
    private String indexLogo;

    /** 品牌名 */
    @Excel(name = "品牌名")
    private String brandNameCn;

    /** 品牌名英文 */
    @Excel(name = "品牌名英文")
    private String brandNameEn;

    /** 注册协议 */
    @Excel(name = "注册协议")
    private String registAgree;

    /** 隐私协议 */
    @Excel(name = "隐私协议")
    private String privacyPolicy;

    public void setIndexBackground(String indexBackground) 
    {
        this.indexBackground = indexBackground;
    }

    public String getIndexBackground() 
    {
        return indexBackground;
    }
    public void setIndexLogo(String indexLogo) 
    {
        this.indexLogo = indexLogo;
    }

    public String getIndexLogo() 
    {
        return indexLogo;
    }
    public void setBrandNameCn(String brandNameCn) 
    {
        this.brandNameCn = brandNameCn;
    }

    public String getBrandNameCn() 
    {
        return brandNameCn;
    }
    public void setBrandNameEn(String brandNameEn) 
    {
        this.brandNameEn = brandNameEn;
    }

    public String getBrandNameEn() 
    {
        return brandNameEn;
    }
    public void setRegistAgree(String registAgree) 
    {
        this.registAgree = registAgree;
    }

    public String getRegistAgree() 
    {
        return registAgree;
    }
    public void setPrivacyPolicy(String privacyPolicy) 
    {
        this.privacyPolicy = privacyPolicy;
    }

    public String getPrivacyPolicy() 
    {
        return privacyPolicy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("indexBackground", getIndexBackground())
            .append("indexLogo", getIndexLogo())
            .append("brandNameCn", getBrandNameCn())
            .append("brandNameEn", getBrandNameEn())
            .append("registAgree", getRegistAgree())
            .append("privacyPolicy", getPrivacyPolicy())
            .toString();
    }
}
