package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 主页内容配置对象 indexconfig
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class Indexconfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主页顶部轮播图 */
    @Excel(name = "主页顶部轮播图")
    private String topCarouselImage;

    /** 主页顶部描述 */
    @Excel(name = "主页顶部描述")
    private String homeRemark;

    /** 主页海报 */
    @Excel(name = "主页海报")
    private String homePoster;

    /** 合伙人工作台图标 */
    @Excel(name = "合伙人工作台图标")
    private String indexOneIcon;

    /** 伴宠师工作台图标 */
    @Excel(name = "伴宠师工作台图标")
    private String indexTwoIcon;

    /** 合伙人工作台描述 */
    @Excel(name = "合伙人工作台描述")
    private String indexOneInfo;

    /** 伴宠师工作台描述 */
    @Excel(name = "伴宠师工作台描述")
    private String indexTwoInfo;

    /** 完善服务信息提示文本 */
    @Excel(name = "完善服务信息提示文本")
    private String perfectService;

    public void setTopCarouselImage(String topCarouselImage) 
    {
        this.topCarouselImage = topCarouselImage;
    }

    public String getTopCarouselImage() 
    {
        return topCarouselImage;
    }
    public void setHomeRemark(String homeRemark) 
    {
        this.homeRemark = homeRemark;
    }

    public String getHomeRemark() 
    {
        return homeRemark;
    }
    public void setHomePoster(String homePoster) 
    {
        this.homePoster = homePoster;
    }

    public String getHomePoster() 
    {
        return homePoster;
    }
    public void setIndexOneIcon(String indexOneIcon) 
    {
        this.indexOneIcon = indexOneIcon;
    }

    public String getIndexOneIcon() 
    {
        return indexOneIcon;
    }
    public void setIndexTwoIcon(String indexTwoIcon) 
    {
        this.indexTwoIcon = indexTwoIcon;
    }

    public String getIndexTwoIcon() 
    {
        return indexTwoIcon;
    }
    public void setIndexOneInfo(String indexOneInfo) 
    {
        this.indexOneInfo = indexOneInfo;
    }

    public String getIndexOneInfo() 
    {
        return indexOneInfo;
    }
    public void setIndexTwoInfo(String indexTwoInfo) 
    {
        this.indexTwoInfo = indexTwoInfo;
    }

    public String getIndexTwoInfo() 
    {
        return indexTwoInfo;
    }
    public void setPerfectService(String perfectService) 
    {
        this.perfectService = perfectService;
    }

    public String getPerfectService() 
    {
        return perfectService;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("topCarouselImage", getTopCarouselImage())
            .append("homeRemark", getHomeRemark())
            .append("homePoster", getHomePoster())
            .append("indexOneIcon", getIndexOneIcon())
            .append("indexTwoIcon", getIndexTwoIcon())
            .append("indexOneInfo", getIndexOneInfo())
            .append("indexTwoInfo", getIndexTwoInfo())
            .append("perfectService", getPerfectService())
            .toString();
    }
}
