package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 执照图片对象 license_image
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class LicenseImage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 执照图片编号 */
    private Long id;

    /** 执照编号 */
    @Excel(name = "执照编号")
    private Long licenseId;

    /** 执照图片 */
    @Excel(name = "执照图片")
    private String image;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLicenseId(Long licenseId) 
    {
        this.licenseId = licenseId;
    }

    public Long getLicenseId() 
    {
        return licenseId;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("licenseId", getLicenseId())
            .append("image", getImage())
            .toString();
    }
}
