package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 流失订单对象 loss_order
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class LossOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 流失订单编号 */
    private Long lossOrderId;

    /** 伴宠师编号 */
    @Excel(name = "伴宠师编号")
    private Long petTeacherId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private Long orderId;

    public void setLossOrderId(Long lossOrderId) 
    {
        this.lossOrderId = lossOrderId;
    }

    public Long getLossOrderId() 
    {
        return lossOrderId;
    }
    public void setPetTeacherId(Long petTeacherId) 
    {
        this.petTeacherId = petTeacherId;
    }

    public Long getPetTeacherId() 
    {
        return petTeacherId;
    }
    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("lossOrderId", getLossOrderId())
            .append("petTeacherId", getPetTeacherId())
            .append("orderId", getOrderId())
            .toString();
    }
}
