package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 接单记录对象 orders_records
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class OrdersRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 接单记录编号 */
    private Long ordersRecordsId;

    /** 删除标识 */
    private Integer delFlag;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private Long orderId;

    /** 接单状态，0为系统派单，1为指定派单 */
    @Excel(name = "接单状态，0为系统派单，1为指定派单")
    private Integer ordersRecordsState;

    /** 拒绝接单原因 */
    @Excel(name = "拒绝接单原因")
    private String rejectOrder;

    /** 接单人编号，当指定派单时有编号，超时后清空编号，等待接单 */
    @Excel(name = "接单人编号，当指定派单时有编号，超时后清空编号，等待接单")
    private Long userId;

    public void setOrdersRecordsId(Long ordersRecordsId) 
    {
        this.ordersRecordsId = ordersRecordsId;
    }

    public Long getOrdersRecordsId() 
    {
        return ordersRecordsId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setOrdersRecordsState(Integer ordersRecordsState) 
    {
        this.ordersRecordsState = ordersRecordsState;
    }

    public Integer getOrdersRecordsState() 
    {
        return ordersRecordsState;
    }
    public void setRejectOrder(String rejectOrder) 
    {
        this.rejectOrder = rejectOrder;
    }

    public String getRejectOrder() 
    {
        return rejectOrder;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ordersRecordsId", getOrdersRecordsId())
            .append("delFlag", getDelFlag())
            .append("orderId", getOrderId())
            .append("ordersRecordsState", getOrdersRecordsState())
            .append("rejectOrder", getRejectOrder())
            .append("userId", getUserId())
            .toString();
    }
}
