package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合伙人数据对象 partnerdata
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class Partnerdata extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 合伙人绑定ID */
    @Excel(name = "合伙人绑定ID")
    private Long bid;

    /** 记录金额 */
    @Excel(name = "记录金额")
    private Long dataAmount;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBid(Long bid) 
    {
        this.bid = bid;
    }

    public Long getBid() 
    {
        return bid;
    }
    public void setDataAmount(Long dataAmount) 
    {
        this.dataAmount = dataAmount;
    }

    public Long getDataAmount() 
    {
        return dataAmount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bid", getBid())
            .append("dataAmount", getDataAmount())
            .toString();
    }
}
