package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合伙人等级记录对象 partnerincome
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class Partnerincome extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合伙人ID */
    @Excel(name = "合伙人ID")
    private Long pid;

    /** 唯一标识 */
    private Long id;

    /** 服务次数 */
    @Excel(name = "服务次数")
    private Long serviceRecord;

    /** 晋级后分成比例 */
    @Excel(name = "晋级后分成比例")
    private Long afterSharingRatio;

    /** 分成比例 */
    @Excel(name = "分成比例")
    private Long sharingRatio;

    public void setPid(Long pid) 
    {
        this.pid = pid;
    }

    public Long getPid() 
    {
        return pid;
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setServiceRecord(Long serviceRecord) 
    {
        this.serviceRecord = serviceRecord;
    }

    public Long getServiceRecord() 
    {
        return serviceRecord;
    }
    public void setAfterSharingRatio(Long afterSharingRatio) 
    {
        this.afterSharingRatio = afterSharingRatio;
    }

    public Long getAfterSharingRatio() 
    {
        return afterSharingRatio;
    }
    public void setSharingRatio(Long sharingRatio) 
    {
        this.sharingRatio = sharingRatio;
    }

    public Long getSharingRatio() 
    {
        return sharingRatio;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pid", getPid())
            .append("id", getId())
            .append("serviceRecord", getServiceRecord())
            .append("afterSharingRatio", getAfterSharingRatio())
            .append("sharingRatio", getSharingRatio())
            .toString();
    }
}
