package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 伴宠师等级配置对象 pet_teacher_grade
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class PetTeacherGrade extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 伴宠师等级编号 */
    private String gradeId;

    /** 伴宠师等级描述 */
    @Excel(name = "伴宠师等级描述")
    private String gradeName;

    public void setGradeId(String gradeId) 
    {
        this.gradeId = gradeId;
    }

    public String getGradeId() 
    {
        return gradeId;
    }
    public void setGradeName(String gradeName) 
    {
        this.gradeName = gradeName;
    }

    public String getGradeName() 
    {
        return gradeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("gradeId", getGradeId())
            .append("gradeName", getGradeName())
            .toString();
    }
}
