package com.ruoyi.catdog.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 伴宠师信息对象 pet_teacher_info
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class PetTeacherInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long petTeacherId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 养宠经验（多少年） */
    @Excel(name = "养宠经验", readConverterExp = "多=少年")
    private Long petTeacherExperience;

    /** 伴宠师简介 */
    @Excel(name = "伴宠师简介")
    private String petTeacherInfo;

    /** 伴宠师性别 */
    @Excel(name = "伴宠师性别")
    private String petTeacherSex;

    /** 伴宠师年龄 */
    @Excel(name = "伴宠师年龄")
    private Long petTeacherAge;

    /** 伴宠师名称 */
    @Excel(name = "伴宠师名称")
    private String petTeacherName;

    /** 钱包编号 */
    @Excel(name = "钱包编号")
    private Long moneyId;

    /** 宠物编号 */
    @Excel(name = "宠物编号")
    private Long petId;

    /** 服务记录条数 */
    @Excel(name = "服务记录条数")
    private Long serviceRecordSum;

    /** 伴宠师等级编号 */
    @Excel(name = "伴宠师等级编号")
    private String gradeId;

    public void setPetTeacherId(Long petTeacherId) 
    {
        this.petTeacherId = petTeacherId;
    }

    public Long getPetTeacherId() 
    {
        return petTeacherId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setPetTeacherExperience(Long petTeacherExperience) 
    {
        this.petTeacherExperience = petTeacherExperience;
    }

    public Long getPetTeacherExperience() 
    {
        return petTeacherExperience;
    }
    public void setPetTeacherInfo(String petTeacherInfo) 
    {
        this.petTeacherInfo = petTeacherInfo;
    }

    public String getPetTeacherInfo() 
    {
        return petTeacherInfo;
    }
    public void setPetTeacherSex(String petTeacherSex) 
    {
        this.petTeacherSex = petTeacherSex;
    }

    public String getPetTeacherSex() 
    {
        return petTeacherSex;
    }
    public void setPetTeacherAge(Long petTeacherAge) 
    {
        this.petTeacherAge = petTeacherAge;
    }

    public Long getPetTeacherAge() 
    {
        return petTeacherAge;
    }
    public void setPetTeacherName(String petTeacherName) 
    {
        this.petTeacherName = petTeacherName;
    }

    public String getPetTeacherName() 
    {
        return petTeacherName;
    }
    public void setMoneyId(Long moneyId) 
    {
        this.moneyId = moneyId;
    }

    public Long getMoneyId() 
    {
        return moneyId;
    }
    public void setPetId(Long petId) 
    {
        this.petId = petId;
    }

    public Long getPetId() 
    {
        return petId;
    }
    public void setServiceRecordSum(Long serviceRecordSum) 
    {
        this.serviceRecordSum = serviceRecordSum;
    }

    public Long getServiceRecordSum() 
    {
        return serviceRecordSum;
    }
    public void setGradeId(String gradeId) 
    {
        this.gradeId = gradeId;
    }

    public String getGradeId() 
    {
        return gradeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("petTeacherId", getPetTeacherId())
            .append("userId", getUserId())
            .append("petTeacherExperience", getPetTeacherExperience())
            .append("petTeacherInfo", getPetTeacherInfo())
            .append("petTeacherSex", getPetTeacherSex())
            .append("petTeacherAge", getPetTeacherAge())
            .append("petTeacherName", getPetTeacherName())
            .append("moneyId", getMoneyId())
            .append("petId", getPetId())
            .append("serviceRecordSum", getServiceRecordSum())
            .append("gradeId", getGradeId())
            .toString();
    }
}
