package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.FeedingRequirements;

/**
 * 喂养要求配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface FeedingRequirementsMapper 
{
    /**
     * 查询喂养要求配置
     * 
     * @param feedingRequirementsId 喂养要求配置主键
     * @return 喂养要求配置
     */
    public FeedingRequirements selectFeedingRequirementsByFeedingRequirementsId(Long feedingRequirementsId);

    /**
     * 查询喂养要求配置列表
     * 
     * @param feedingRequirements 喂养要求配置
     * @return 喂养要求配置集合
     */
    public List<FeedingRequirements> selectFeedingRequirementsList(FeedingRequirements feedingRequirements);

    /**
     * 新增喂养要求配置
     * 
     * @param feedingRequirements 喂养要求配置
     * @return 结果
     */
    public int insertFeedingRequirements(FeedingRequirements feedingRequirements);

    /**
     * 修改喂养要求配置
     * 
     * @param feedingRequirements 喂养要求配置
     * @return 结果
     */
    public int updateFeedingRequirements(FeedingRequirements feedingRequirements);

    /**
     * 删除喂养要求配置
     * 
     * @param feedingRequirementsId 喂养要求配置主键
     * @return 结果
     */
    public int deleteFeedingRequirementsByFeedingRequirementsId(Long feedingRequirementsId);

    /**
     * 批量删除喂养要求配置
     * 
     * @param feedingRequirementsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFeedingRequirementsByFeedingRequirementsIds(Long[] feedingRequirementsIds);
}
