package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.Partnerincome;

/**
 * 合伙人等级记录Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IPartnerincomeService 
{
    /**
     * 查询合伙人等级记录
     * 
     * @param id 合伙人等级记录主键
     * @return 合伙人等级记录
     */
    public Partnerincome selectPartnerincomeById(Long id);

    /**
     * 查询合伙人等级记录列表
     * 
     * @param partnerincome 合伙人等级记录
     * @return 合伙人等级记录集合
     */
    public List<Partnerincome> selectPartnerincomeList(Partnerincome partnerincome);

    /**
     * 新增合伙人等级记录
     * 
     * @param partnerincome 合伙人等级记录
     * @return 结果
     */
    public int insertPartnerincome(Partnerincome partnerincome);

    /**
     * 修改合伙人等级记录
     * 
     * @param partnerincome 合伙人等级记录
     * @return 结果
     */
    public int updatePartnerincome(Partnerincome partnerincome);

    /**
     * 批量删除合伙人等级记录
     * 
     * @param ids 需要删除的合伙人等级记录主键集合
     * @return 结果
     */
    public int deletePartnerincomeByIds(Long[] ids);

    /**
     * 删除合伙人等级记录信息
     * 
     * @param id 合伙人等级记录主键
     * @return 结果
     */
    public int deletePartnerincomeById(Long id);
}
