package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 增值服务记录对象 add_value_service_records
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class AddValueServiceRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 增值服务记录编号 */
    private Long addValueServiceRecordsId;

    /** 增值服务编号 */
    @Excel(name = "增值服务编号")
    private Long addValueServiceId;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private Long userId;

    public void setAddValueServiceRecordsId(Long addValueServiceRecordsId) 
    {
        this.addValueServiceRecordsId = addValueServiceRecordsId;
    }

    public Long getAddValueServiceRecordsId() 
    {
        return addValueServiceRecordsId;
    }
    public void setAddValueServiceId(Long addValueServiceId) 
    {
        this.addValueServiceId = addValueServiceId;
    }

    public Long getAddValueServiceId() 
    {
        return addValueServiceId;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("addValueServiceRecordsId", getAddValueServiceRecordsId())
            .append("addValueServiceId", getAddValueServiceId())
            .append("reamk", getReamk())
            .append("userId", getUserId())
            .toString();
    }
}
