package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 附加服务类型对象 additional_services_type
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class AdditionalServicesType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附加服务类型编号 */
    private Long additionalServicesTypeId;

    /** 附加服务类型名称 */
    @Excel(name = "附加服务类型名称")
    private Long additionalServicesTypeName;

    /** 删除标识 */
    private Integer delFlag;

    public void setAdditionalServicesTypeId(Long additionalServicesTypeId) 
    {
        this.additionalServicesTypeId = additionalServicesTypeId;
    }

    public Long getAdditionalServicesTypeId() 
    {
        return additionalServicesTypeId;
    }
    public void setAdditionalServicesTypeName(Long additionalServicesTypeName) 
    {
        this.additionalServicesTypeName = additionalServicesTypeName;
    }

    public Long getAdditionalServicesTypeName() 
    {
        return additionalServicesTypeName;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("additionalServicesTypeId", getAdditionalServicesTypeId())
            .append("additionalServicesTypeName", getAdditionalServicesTypeName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
