package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 接单地址配置对象 address_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class AddressConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 接单地址提示文本 */
    @Excel(name = "接单地址提示文本")
    private String addressText;

    /** 接单地址图标 */
    @Excel(name = "接单地址图标")
    private String addressIcon;

    /** 接单地址提示消息 */
    @Excel(name = "接单地址提示消息")
    private String addressMessage;

    /** 接单地址下方文本 */
    @Excel(name = "接单地址下方文本")
    private String addressRemark;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAddressText(String addressText) 
    {
        this.addressText = addressText;
    }

    public String getAddressText() 
    {
        return addressText;
    }
    public void setAddressIcon(String addressIcon) 
    {
        this.addressIcon = addressIcon;
    }

    public String getAddressIcon() 
    {
        return addressIcon;
    }
    public void setAddressMessage(String addressMessage) 
    {
        this.addressMessage = addressMessage;
    }

    public String getAddressMessage() 
    {
        return addressMessage;
    }
    public void setAddressRemark(String addressRemark) 
    {
        this.addressRemark = addressRemark;
    }

    public String getAddressRemark() 
    {
        return addressRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("addressText", getAddressText())
            .append("addressIcon", getAddressIcon())
            .append("addressMessage", getAddressMessage())
            .append("addressRemark", getAddressRemark())
            .toString();
    }
}
