package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 保证金退还配置对象 apply_refund_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class ApplyRefundConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 保证金退还消息提示文本 */
    @Excel(name = "保证金退还消息提示文本")
    private String applyRefundMessage;

    /** 顾问二维码 */
    @Excel(name = "顾问二维码")
    private String applyRefundImage;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setApplyRefundMessage(String applyRefundMessage) 
    {
        this.applyRefundMessage = applyRefundMessage;
    }

    public String getApplyRefundMessage() 
    {
        return applyRefundMessage;
    }
    public void setApplyRefundImage(String applyRefundImage) 
    {
        this.applyRefundImage = applyRefundImage;
    }

    public String getApplyRefundImage() 
    {
        return applyRefundImage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("applyRefundMessage", getApplyRefundMessage())
            .append("applyRefundImage", getApplyRefundImage())
            .toString();
    }
}
