package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 选择题记录对象 appraisal_records
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class AppraisalRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 考核记录编号 */
    private Long appraisalRecordsId;

    /** 伴宠师选中的答案编号 */
    @Excel(name = "伴宠师选中的答案编号")
    private Long answerId;

    /** 删除标识 */
    private Integer delFlag;

    /** 考核题目编号 */
    @Excel(name = "考核题目编号")
    private Long examinationId;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    /** 伴宠师编号 */
    @Excel(name = "伴宠师编号")
    private Long userId;

    public void setAppraisalRecordsId(Long appraisalRecordsId) 
    {
        this.appraisalRecordsId = appraisalRecordsId;
    }

    public Long getAppraisalRecordsId() 
    {
        return appraisalRecordsId;
    }
    public void setAnswerId(Long answerId) 
    {
        this.answerId = answerId;
    }

    public Long getAnswerId() 
    {
        return answerId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setExaminationId(Long examinationId) 
    {
        this.examinationId = examinationId;
    }

    public Long getExaminationId() 
    {
        return examinationId;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("appraisalRecordsId", getAppraisalRecordsId())
            .append("answerId", getAnswerId())
            .append("delFlag", getDelFlag())
            .append("examinationId", getExaminationId())
            .append("reamk", getReamk())
            .append("userId", getUserId())
            .toString();
    }
}
