package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 认证审核配置对象 certification_audit_config
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class CertificationAuditConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String typeName;

    /** 图标 */
    @Excel(name = "图标")
    private String typeIcon;

    /** 提示文本 */
    @Excel(name = "提示文本")
    private String typeText;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setTypeIcon(String typeIcon) 
    {
        this.typeIcon = typeIcon;
    }

    public String getTypeIcon() 
    {
        return typeIcon;
    }
    public void setTypeText(String typeText) 
    {
        this.typeText = typeText;
    }

    public String getTypeText() 
    {
        return typeText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("typeName", getTypeName())
            .append("typeIcon", getTypeIcon())
            .append("typeText", getTypeText())
            .toString();
    }
}
