package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务档案对象 service_file
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class ServiceFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 服务档案编号 */
    private Long serviceFileId;

    /** 伴宠师编号 */
    @Excel(name = "伴宠师编号")
    private Long petTeacherId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private Long orderId;

    public void setServiceFileId(Long serviceFileId) 
    {
        this.serviceFileId = serviceFileId;
    }

    public Long getServiceFileId() 
    {
        return serviceFileId;
    }
    public void setPetTeacherId(Long petTeacherId) 
    {
        this.petTeacherId = petTeacherId;
    }

    public Long getPetTeacherId() 
    {
        return petTeacherId;
    }
    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("serviceFileId", getServiceFileId())
            .append("petTeacherId", getPetTeacherId())
            .append("orderId", getOrderId())
            .toString();
    }
}
