package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 遛狗要求对象 walk_dog
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class WalkDog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 遛狗要求编号 */
    private Long walkDogId;

    /** 服务档案编号 */
    @Excel(name = "服务档案编号")
    private Long serviceFileId;

    /** 用品摆放位置 */
    @Excel(name = "用品摆放位置")
    private String suppliesPlacement;

    /** 是否遛狗 */
    @Excel(name = "是否遛狗")
    private Long walkDogWhether;

    /** 雨伞摆放位置 */
    @Excel(name = "雨伞摆放位置")
    private String suppliesPlacementUmbrella;

    /** 雨天遛狗要求 */
    @Excel(name = "雨天遛狗要求")
    private String walkDogRaining;

    /** 遛狗时长 */
    @Excel(name = "遛狗时长")
    private String walkDogTime;

    /** 遛狗行为 */
    @Excel(name = "遛狗行为")
    private String walkDogBehavior;

    /** 偏好区域 */
    @Excel(name = "偏好区域")
    private String preferenceArea;

    /** 偏好路线 */
    @Excel(name = "偏好路线")
    private String preferenceRoute;

    public void setWalkDogId(Long walkDogId) 
    {
        this.walkDogId = walkDogId;
    }

    public Long getWalkDogId() 
    {
        return walkDogId;
    }
    public void setServiceFileId(Long serviceFileId) 
    {
        this.serviceFileId = serviceFileId;
    }

    public Long getServiceFileId() 
    {
        return serviceFileId;
    }
    public void setSuppliesPlacement(String suppliesPlacement) 
    {
        this.suppliesPlacement = suppliesPlacement;
    }

    public String getSuppliesPlacement() 
    {
        return suppliesPlacement;
    }
    public void setWalkDogWhether(Long walkDogWhether) 
    {
        this.walkDogWhether = walkDogWhether;
    }

    public Long getWalkDogWhether() 
    {
        return walkDogWhether;
    }
    public void setSuppliesPlacementUmbrella(String suppliesPlacementUmbrella) 
    {
        this.suppliesPlacementUmbrella = suppliesPlacementUmbrella;
    }

    public String getSuppliesPlacementUmbrella() 
    {
        return suppliesPlacementUmbrella;
    }
    public void setWalkDogRaining(String walkDogRaining) 
    {
        this.walkDogRaining = walkDogRaining;
    }

    public String getWalkDogRaining() 
    {
        return walkDogRaining;
    }
    public void setWalkDogTime(String walkDogTime) 
    {
        this.walkDogTime = walkDogTime;
    }

    public String getWalkDogTime() 
    {
        return walkDogTime;
    }
    public void setWalkDogBehavior(String walkDogBehavior) 
    {
        this.walkDogBehavior = walkDogBehavior;
    }

    public String getWalkDogBehavior() 
    {
        return walkDogBehavior;
    }
    public void setPreferenceArea(String preferenceArea) 
    {
        this.preferenceArea = preferenceArea;
    }

    public String getPreferenceArea() 
    {
        return preferenceArea;
    }
    public void setPreferenceRoute(String preferenceRoute) 
    {
        this.preferenceRoute = preferenceRoute;
    }

    public String getPreferenceRoute() 
    {
        return preferenceRoute;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("walkDogId", getWalkDogId())
            .append("serviceFileId", getServiceFileId())
            .append("suppliesPlacement", getSuppliesPlacement())
            .append("walkDogWhether", getWalkDogWhether())
            .append("suppliesPlacementUmbrella", getSuppliesPlacementUmbrella())
            .append("walkDogRaining", getWalkDogRaining())
            .append("walkDogTime", getWalkDogTime())
            .append("walkDogBehavior", getWalkDogBehavior())
            .append("preferenceArea", getPreferenceArea())
            .append("preferenceRoute", getPreferenceRoute())
            .toString();
    }
}
